<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      layout:decorate="~{layouts/main}">

<div layout:fragment="content">

    <!-- Main Content -->
    <div id="content">


        <div class="wrapper wrapper-content animated fadeInRight">
            <div class="row">
                <div class="col-lg-4 m-b-10" th:each="question : ${questions}">
                    <div class="contact-box">
                        <div class="row">
                            <div class="col-4">
                                <div class="text-center question_round">
                                    <span th:text="${question.round}"></span>
                                </div>
                            </div>
                            <div class="col-8">
                                <h3 class="text-uppercase"><strong th:text="${question.name}"></strong></h3>
                                <!--<p ><i class="fa fa-calendar"></i> <span th:text="${question.createdDate}"></span></p>
                                <address>
                                    There are many variations of passages of Lorem Ipsum available,
                                </address>-->

                            </div>
                        </div>
                        <div class="contact-box-footer contact-box-footer_new">
                            <div class="m-t-xs btn-group">
                                <a href=""  class="btn btn-xs btn-primary" th:href="@{/question/edit/{id}(id=${question.id})}"><i class="fa fa-edit"></i> Edit </a>
                                <button type="button" th:attr="data-target='#myModal'+${question.id}" data-id="${question.id}"  class="btn btn-xs btn-danger" data-toggle="modal"><i class="fa fa-trash-o"></i> Delete</button>


                            </div>
                        </div>
                        <div id="myModal" class="modal fade" th:attr="id='myModal'+${question.id}" tabindex="-1">
                            <div class="modal-dialog modal-confirm">
                                <div class="modal-content">
                                    <div class="modal-header">

                                        <h4 class="modal-title">Are you sure?</h4>
                                        <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
                                    </div>
                                    <div class="modal-body">
                                        <p>Do you really want to delete these records? This process cannot be undone.</p>
                                        <input type="hidden" name="questionId" id="questionId" value=""/>
                                    </div>
                                    <div class="modal-footer " style="">
                                        <button type="button" class="btn btn-info" data-dismiss="modal">Cancel</button>

                                        <a th:href="@{/question/delete/{id}(id=${question.id})}" class="btn btn-danger">Delete</a>

                                        <!--<form th:action="@{/question/delete}" th:object="${question}" method="post" class="form-inline" role="form">
                                            <input type="hidden" id="id">
                                            <button type="submit" class="btn btn-danger"><span class="glyphicon glyphicon-trash" style="vertical-align:middle;margin-top: -5px"></span> Delete</button>
                                            <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
                                        </form>-->
                                    </div>




                                </div>
                            </div>
                        </div>
                    </div>

                </div>

            </div>

        </div>


</div>

</div>
</html>